Difference between revisions of "Sketcher Workbench/pl"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "{{Docnav/pl |Środowisko pracy Ship |Środowisko pracy Spreadsheet |IconL=Workbench_Ship.svg |IconR=Workbench_Spreadsheet.svg }}")
(Created page with "==Wprowadzenie==")
Line 9: Line 9:
 
[[Image:Workbench_Sketcher.svg|64px]]
 
[[Image:Workbench_Sketcher.svg|64px]]
  
== Introduction ==
+
==Wprowadzenie==
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Revision as of 22:11, 20 November 2019

Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎magyar • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(繁體)‎ • ‎中文(台灣)‎

Workbench Sketcher.svg

Wprowadzenie

Warsztat Szkicownika (Sketcher Workbench) używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w Warsztacie PartDesign i innych warsztatach. Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D. Wraz z operacjami boole'owskimi, kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.

Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.

FC ConstrainedSketch.png

W pełni związany szkic.


Podstawy szkicowania z więzami

By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.

Szkicowanie z Więzami

Skicownik odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.

Czym są więzy?

Więzy używane są do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana i obracana.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Zastosowania do których Szkicownik się nie nadaje

Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.

Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź warsztat Draft (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)

Szkicowanie schemat pracy

Szkic jest zawsze dwuwymiarowy (2D). Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.

If a Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. Sometimes a Sketch which contains lines which cross one another will work for a simple operation such as Pad, but later operations such as Linear Pattern will fail. It is best to avoid crossing lines. The exception to this rule is that it doesn't apply to Construction (blue) Geometry.

Inside the enclosed area we can have smaller non-overlapping areas. These will become voids when the 3D solid is created.

Once a Sketch is fully constrained, the Sketch features will turn green; Construction Geometry will remain blue. It is usually "finished" at this point and suitable for use in creating a 3D solid. However, once the Sketch dialog is closed it may be worthwhile going to Part Workbench and running Check geometry to ensure there are no features in the Sketch which may cause later problems.

Narzędzia

Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym Sketch, które pojawia się po załadowaniu tego środowiska pracy.

  • Sketcher NewSketch.svg New sketch: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
  • Sketcher ViewSketch.svg View sketch: Sets the model view perpendicular to the sketch plane.
  • Validate sketch: Verify the tolerance of different points and adjust them.

Sketcher geometries

These are tools for creating objects.

  • Sketcher Line.svg Line: Draws a line segment between 2 points. Lines are infinite regarding certain constraints.
  • Sketcher CompCreateArc.png Create an arc: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Arc.svg Arc: Draws an arc segment from center, radius, start angle and end angle.
  • Sketcher Create3PointArc.svg Arc by 3 points: Draws an arc segment from two endpoints and another point on the circumference.
  • Sketcher CompCreateCircle.png Create a circle: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Circle.svg Circle: Draws a circle from center and radius.
  • Sketcher CreatePolyline.svg Polyline (multiple-point line): Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.
  • Sketcher CreateRectangle.svg Rectangle: Draws a rectangle from 2 opposite points.
  • Sketcher CreateRegularPolygon.svg Create Regular Polygon : Draws a regular polygon by selecting the number of sides and picking two points: the center and one corner.
  • Sketcher CreateSlot.png Slot: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
  • Sketcher CreateFillet.svg Fillet: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
  • Sketcher Trimming.svg Trimming: Trims a line, circle or arc with respect to the clicked point.
  • Sketcher AlterConstruction.svg Construction Mode: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.

Sketcher constraints

Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of Helper constraints.

Geometric constraints

These constraints are not associated with numeric data.

  • Constraint PointOnPoint.svg Coincident: Affixes a point onto (coincident with) one or more other points.
  • Constraint PointOnObject.svg Point On Object: Affixes a point onto another object such as a line, arc, or axis.
  • Constraint Vertical.svg Vertical: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
  • Constraint Horizontal.svg Horizontal: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
  • Constraint Parallel.svg Parallel: Constrains two or more lines parallel to one another.
  • Constraint Perpendicular.svg Perpendicular: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
  • Constraint Tangent.svg Tangent: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segments. A line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
  • Constraint EqualLength.svg Equal Length: Constrains two selected entities equal to one another. If used on circles or arcs their radii will be set equal.
  • Constraint Symmetric.svg Symmetric: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.

Dimensional constraints

These are constraints associated with numeric data, for which you can use the expressions. The data may be taken from a spreadsheet.

  • Sketcher ConstrainLock.svg Lock: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
  • Constraint HorizontalDistance.svg Horizontal Distance: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Constraint VerticalDistance.svg Vertical Distance: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Constraint Length.svg Distance: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
  • Constraint Radius.svg Radius: Defines the radius of a selected arc or circle by constraining the radius.
  • Constraint InternalAngle.png Internal Angle: Defines the internal angle between two selected lines.
  • Constraint InternalAlignment.svg Internal Alignment: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).

Sketcher tools

  • Sketcher Element Ellipse All.svg Show/Hide internal geometry: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.

Sketcher B-spline tools

Sketcher virtual space

Preferences

Dobre praktyki

Każdy użytkownik CAD z biegiem czasu rozwija swój własny sposób pracy, ale istnieją pewne przydatne ogólne zasady, którymi należy się kierować.

  • Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
  • Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
  • Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
  • Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
  • Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
  • Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.

Tutorials